Bug 118553 - Broken style of endnote generates artifacts.
Summary: Broken style of endnote generates artifacts.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-07-05 13:44 UTC by Chon
Modified: 2019-08-01 03:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Broken endnotes (26.79 KB, application/vnd.oasis.opendocument.text)
2018-07-06 13:04 UTC, Chon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chon 2018-07-05 13:44:00 UTC
Description:
When I'd used an endnotes, above the endnotes appears large indent. After changing all possible settings I've identified that this indent appears just if in the page style endnote settings you use two or more columns. If I import the document in .docx and open it with Word the text in endnote page displayed normal. Moreover if I change from two to one column and click Appear or Ok it changes immediately, but it doesn’t work on the contrary instead of this column settings completely stop working.

The details with images right here:
 
https://ask.libreoffice.org/en/question/159582/how-to-fix-indent-above-the-endnotes/

Steps to Reproduce:
This indents appears on each single page where endnotes were presented, but it is normally presented on the pages with the main text.

http://i.piccy.info/i9/5641a34f4e757f7c89c0d3e11d5c4ad1/1530555269/73783/1254167/Screenshot_2018_07_02_21_07_30.png

The main problem is that on the page where Endnotes were presented as two columns, appears some mysterious indent. Look at the image below.

http://i.piccy.info/i9/ac183f0b27697ba18bffc7014a9aa15e/1530653809/94679/1254167/Screenshot_2018_07_04_00_14_49.png

When I change the number of columns on the current page from two to one - this had fixed the indent and looked properly. Image below.

http://i.piccy.info/i9/32ef9244e64a8da63e5e952fc164248a/1530654196/59599/1254167/Screenshot_2018_r07_04_00_14_49.png

Then, if I try to come back to two column style it dosen't work yet. See image below.

http://i.piccy.info/i9/c1cb3bac524393447839e997d1603922/1530654609/77531/1254167/Screenshot_2018_072_04_00_14_449.png

All this manipulations I've made in the .odt file. Instead of this when I import this file (without any described above manipulations, when the file include two columns setting and huge indent) in the .docx and open it with the Word - the artifact disappears. See image below.

http://i.piccy.info/i9/e0bc7cd990a73b609d18fde3ea8938d6/1530655086/88460/1254167/156165154165.png

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
https://ask.libreoffice.org/en/question/159582/how-to-fix-indent-above-the-endnotes/
Comment 1 Roman Kuznetsov 2018-07-05 18:10:57 UTC
amusingly, i can't change view to 2 column in 6.1.0.1. 
After changing options in page style occurs nothing ->another bug?
Comment 2 Roman Kuznetsov 2018-07-05 18:18:39 UTC
confirm this bug in LO 6.0.4.2
Comment 3 Xisco Faulí 2018-07-06 12:55:39 UTC
Hi Chon,
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 4 Chon 2018-07-06 13:04:51 UTC
Created attachment 143349 [details]
Broken endnotes
Comment 5 Chon 2018-07-06 13:07:34 UTC
(In reply to Xisco Faulí from comment #3)
> Hi Chon,
> Thank you for reporting the bug. Please attach a sample document, as this
> makes it easier for us to verify the bug. 
> (Please note that the attachment will be public, remove any sensitive
> information before attaching it. 
> See
> https://wiki.documentfoundation.org/QA/
> FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help
> on how to do so.)

It's also exist here, (at the end of the post):

https://ask.libreoffice.org/en/question/159582/how-to-fix-indent-above-the-endnotes/
Comment 6 Xisco Faulí 2018-07-09 12:16:51 UTC
Thanks for attaching the file. Also reproducible in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e


LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 QA Administrators 2019-08-01 03:36:54 UTC
Dear Chon,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug